package com.sksamuel.scoot.rest

/** @author Stephen Samuel */
abstract class Encoding {
    def decode(bytes: Array[Byte]): Array[Byte]
    def encode(bytes: Array[Byte]): Array[Byte]
}
object Gzip extends Encoding {
    def decode(bytes: Array[Byte]) = bytes
    def encode(bytes: Array[Byte]) = bytes
}
object Deflate extends Encoding {
    def decode(bytes: Array[Byte]) = bytes
    def encode(bytes: Array[Byte]) = bytes
}
object NoEncoding extends Encoding {
    def decode(bytes: Array[Byte]) = bytes
    def encode(bytes: Array[Byte]) = bytes
}

